
From: Christoph Hellwig <hch@lst.de>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/macintosh/Kconfig   |    2 +-
 25-akpm/drivers/macintosh/ans-lcd.c |   11 +++++++++--
 2 files changed, 10 insertions(+), 3 deletions(-)

diff -puN drivers/macintosh/ans-lcd.c~modular-anscd drivers/macintosh/ans-lcd.c
--- 25/drivers/macintosh/ans-lcd.c~modular-anscd	Thu Jul 29 15:12:52 2004
+++ 25-akpm/drivers/macintosh/ans-lcd.c	Thu Jul 29 15:12:52 2004
@@ -136,7 +136,7 @@ const char anslcd_logo[] =	"************
 				"*    Welcome to    *"  /* Line #2 */
 				"********************"; /* Line #4 */
 
-int __init
+static int __init
 anslcd_init(void)
 {
 	int a;
@@ -173,5 +173,12 @@ anslcd_init(void)
 	return 0;
 }
 
-__initcall(anslcd_init);
+static void __exit
+anslcd_exit(void)
+{
+	misc_deregister(&anslcd_dev);
+	iounmap(anslcd_ptr);
+}
 
+module_init(anslcd_init);
+module_exit(anslcd_exit);
diff -puN drivers/macintosh/Kconfig~modular-anscd drivers/macintosh/Kconfig
--- 25/drivers/macintosh/Kconfig~modular-anscd	Thu Jul 29 15:12:52 2004
+++ 25-akpm/drivers/macintosh/Kconfig	Thu Jul 29 15:12:52 2004
@@ -184,7 +184,7 @@ config THERM_PM72
 	  G5 machines. 
 
 config ANSLCD
-	bool "Support for ANS LCD display"
+	tristate "Support for ANS LCD display"
 	depends on ADB_CUDA && PPC_PMAC
 
 endmenu
_
